Tasks
Update a task
Update a task’s properties such as name, due date, description, priority, or status.
PUT
/
tasks
/
{id}
Update a task
curl --request PUT \
--url https://api.seamless.ai/api/client/v2/tasks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Follow up call",
"dueAt": "2026-07-01T15:00:00Z",
"description": "Discuss renewal options.",
"priority": 1
}
'import requests
url = "https://api.seamless.ai/api/client/v2/tasks/{id}"
payload = {
"name": "Follow up call",
"dueAt": "2026-07-01T15:00:00Z",
"description": "Discuss renewal options.",
"priority": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Follow up call',
dueAt: '2026-07-01T15:00:00Z',
description: 'Discuss renewal options.',
priority: 1
})
};
fetch('https://api.seamless.ai/api/client/v2/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"taskId": "<string>",
"campaignId": "<string>",
"campaignStepId": "<string>",
"type": "email",
"name": "<string>",
"description": "<string>",
"status": "DRAFT",
"priority": 123,
"isAutomated": true,
"contactId": "<string>",
"contactName": "<string>",
"userIdAssignee": "<string>",
"templateId": "<string>",
"dueAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"statusUpdatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
OAuth2ApiKeyAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The task ID.
Body
application/json
Updated task name.
Example:
"Follow up call"
Updated due date.
Example:
"2026-07-01T15:00:00Z"
Updated task description.
Example:
"Discuss renewal options."
Updated task priority.
Example:
1
Updated task status.
Available options:
DRAFT, TODO, QUEUED, SCHEDULED, STARTED, RETRYING, PAUSED, COMPLETED, PASTDUE, ARCHIVED, ERROR, CANCELED, SKIPPED, DUE_TODAY, DELETED Was this page helpful?
⌘I
Update a task
